Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157298 - kmail crashes when showing multiple GPG encrypted messages
Summary: kmail crashes when showing multiple GPG encrypted messages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdepim
Version: 4.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Lukáš Tinkl
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-10 11:36 UTC by Morten Green Hermansen
Modified: 2015-07-13 17:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-18 13:01:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Morten Green Hermansen 2005-05-10 11:36:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b) Gecko/20050217

Description of problem:
When moving back and forth between IMAP folders containing GPG encrypted message or when multiselect several encrypted message can sometimes make KMail crash.
What happens is that when a new encryped message is shown a password requester is show but sometimes several requesters are shown (one for each message selected). No matter if you select 'cancel' or enter the correct password, kmail will crash when multiple password requesters are (incorrectly) shown.

Version-Release number of selected component (if applicable):
kdepim-3.3.1-2.1

How reproducible:
Sometimes

Steps to Reproduce:
1. Move back and forth between IMAP folders filled with encrypted messages
2. or multi select (shift+mouseclick) on multiple encrypted emails  

Actual Results:  Sometimes more than one password requester is shown

Expected Results:  One one password requester should be shown at a time.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.